TYPOS3.Flow - Bug # 32285

Status: Resolved Priority: Must have
Author: Peter Beernink Category: Security
Created: 2011-12-04 Assigned To: Bastian Waidelich
Updated: 2011-12-21 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.1

Subject: Logout doesn't work anymore in FLOW3 1.0.1

Description

After updating from FLOWS3 1.0.0 to 1.0.1 it is not possible anymore to logout from an authenticated session.

The issue to be introduced by commit:970c615. When | revert those changes | am able to logout again.

I've also tested it on the Blog package. There the same behavior is shown.

It displays the flash message, but in the footer the administration link is still displayed and accessible.

Associated revisions

Revision 9cab55e0 - 2011-12-19 15:12 - Bastian Waidelich

[BUGFIX] Logout doesn't work anymore

Since eab9bf9 calling AuthenticationProviderManager::logout()
without initializing the Security Context first, returns without

actually destroying the authentication cookie.

This change fixes this by introducing a new convenience method
isAuthenticated() to the AuthentcationManagerinterface allowing the
AuthenticationProviderManager to check whether a user is

authenticated before trying to fetch the session.

Change-Id: 11c273e84f059c2f8d82d126d18a67cef4bfc7f16
Fixes: #32285

Releases: 1.0, 1.1

Revision 6ba03e48 - 2011-12-20 16:37 - Bastian Waidelich
[BUGFIX] Logout doesn't work anymore

Since 93b608a calling AuthenticationProviderManager::logout()
without initializing the Security Context first, returns without

actually destroying the authentication cookie.

This change fixes this by introducing a new convenience method
isAuthenticated() to the AuthentcationManagerinterface allowing the

AuthenticationProviderManager to check whether a user is

authenticated before trying to fetch the session.
Change-Id: 1a31a73981a9b2f77c4f3efa251a6a5f7e732e4c9
Fixes: #32285
Releases: 1.0, 1.1

History

#1 - 2011-12-06 11:28 - Rens Admiraal

Tested on FLOW3 master with TYPO3.LDAP package. This provider does logout.

To test: Blog package on current master

#2 - 2011-12-07 16:36 - Peter Beernink

| see that the link to the commit is wrong. It should be commit:eab9bf9

#3 - 2011-12-14 10:14 - Bastian Waidelich

- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

I'll check this, thanks for reporting!

#4 - 2011-12-14 10:45 - Bastian Waidelich

- Status changed from Accepted to Needs Feedback

- Assigned To changed from Bastian Waidelich to Peter Beernink

Hi Peter,

| can't reproduce this issue.

With a fresh checkout of the Blog distribution clicking on the "Logout"-Link in the footer successfully kills the session and | have to login again in order

to administer the blog..

Did you try flushing the cache?

#5 - 2011-12-14 10:58 - Peter Beernink

Hi Bastian,

I've tested it on a base FLOW3 1.0.1 distribution in which | installed the Blog package, | haven't tested it on the Blog distribution.

However, | just cloned it, and it seems that the Blog distribution is still using 1.0.0, so the change in question is not applied there.

#6 - 2011-12-14 12:15 - Bastian Waidelich

Peter Beernink wrote:

However, | just cloned it, and it seems that the Blog distribution is still using 1.0.0,
so the change in question is not applied there.

| updated all packages to their master and it still works..

#7 - 2011-12-14 13:17 - Bastian Waidelich

Bastian Waidelich wrote:

| updated all packages to their master and it still works..

Hang on, maybe | wasn't working with latest masters in fact. I'll recheck

#8 - 2011-12-14 14:08 - Bastian Waidelich
- Status changed from Needs Feedback to Accepted

- Assigned To changed from Peter Beernink to Bastian Waidelich

Ok, | can reproduce this now.

#9 - 2011-12-14 17:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7261

#10 - 2011-12-14 17:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/7261

#11 - 2011-12-19 15:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7261

#12 - 2011-12-20 11:38 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9cab55e0fdf701fe0bdf857a58¢c7f9e79d9554d6.

#13 - 2011-12-20 16:38 - Gerrit Code Review
http://review.typo3.org/7261
http://review.typo3.org/7261
http://review.typo3.org/7261

- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.

It is available at http://review.typo3.org/7441

#14 - 2011-12-21 16:36 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:6ba03e4810791eb15f43282789b8dd29d8d57c09.
